Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 1913983002: Use document referrer policy when preloading (Closed)

Created:
3 years, 1 month ago by estark
Modified:
3 years ago
CC:
blink-reviews, blink-reviews-html_chromium.org, chromium-reviews, dglazkov+blink, kinuko+watch, mkwst+watchlist-csp_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Use document referrer policy when preloading Previously, preload requests used the referrer policy from meta tags encountered during scanning, but not from headers delivered with the page. This CL uses the document's current referrer policy when the preload scan starts. BUG=605451 Committed: https://crrev.com/e49d943e9f5f90411313e64d0ae6b646edc85043 Cr-Commit-Position: refs/heads/master@{#390264}

Patch Set 1 #

Patch Set 2 : fix css scanning #

Patch Set 3 : remove debugging statement #

Patch Set 4 : add test expectation #

Messages

Total messages: 9 (3 generated)
estark
jochen, PTAL?
3 years, 1 month ago (2016-04-25 21:59:10 UTC) #2
jochen (gone - plz use gerrit)
lgtm
3 years ago (2016-04-27 10:10:51 UTC) #3
Yoav Weiss
On 2016/04/25 21:59:10, estark wrote: > jochen, PTAL? LGTM
3 years ago (2016-04-27 10:18:08 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1913983002/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1913983002/60001
3 years ago (2016-04-27 23:50:41 UTC) #6
commit-bot: I haz the power
Committed patchset #4 (id:60001)
3 years ago (2016-04-28 01:09:07 UTC) #7
commit-bot: I haz the power
3 years ago (2016-04-30 17:15:16 UTC) #8
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/e49d943e9f5f90411313e64d0ae6b646edc85043
Cr-Commit-Position: refs/heads/master@{#390264}

Powered by Google App Engine
This is Rietveld 408576698